<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2GroupsArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Group
     */
    private $items;

    public function getItems(): CParcelShop2Group
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Group $items): CParcelShop2GroupsArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
